package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 安全准入申请材料关系对象 lab_security_materialrelation
 *
 * @author zd
 * @date 2022-01-25
 */
@ApiModel("安全准入申请材料关系")
public class LabSecurityMaterialrelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 申请表主键 */
    @Excel(name = "申请表主键")
    @ApiModelProperty(value = "申请表主键")
    private Long applyId;
    /** 模板id*/
    @Excel(name = "模板id")
    @ApiModelProperty(value = "模板id")
    private Long materialId;
    /** 材料名称 */
    @Excel(name = "材料名称")
    @Length(message = "材料名称长度不能超过255")
    @ApiModelProperty(value = "材料名称")
    private String dataName;
    /** 材料描述 */
    @Excel(name = "材料描述")
    @Length(message = "材料描述长度不能超过255")
    @ApiModelProperty(value = "材料描述")
    private String dataDescribe;
    /** 材料地址 */
    @Excel(name = "材料地址")
    @Length(message = "材料地址长度不能超过500")
    @ApiModelProperty(value = "材料地址")
    private String dataUrl;
    /** 所属用户ID */
    @Excel(name = "所属用户ID")
    @ApiModelProperty(value = "所属用户ID")
    private Long userId;
    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String remak;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setApplyId(Long applyId)
    {
        this.applyId = applyId;
    }

    public Long getApplyId()
    {
        return applyId;
    }
    public void setDataName(String dataName)
    {
        this.dataName = dataName;
    }

    public Long getMaterialId() {        return materialId;    }

    public void setMaterialId(Long materialId) {        this.materialId = materialId;    }

    public String getDataName()
    {
        return dataName;
    }
    public void setDataDescribe(String dataDescribe)
    {
        this.dataDescribe = dataDescribe;
    }

    public String getDataDescribe()
    {
        return dataDescribe;
    }
    public void setDataUrl(String dataUrl)
    {
        this.dataUrl = dataUrl;
    }

    public String getDataUrl()
    {
        return dataUrl;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setRemak(String remak)
    {
        this.remak = remak;
    }

    public String getRemak()
    {
        return remak;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("applyId", getApplyId())
                .append("materialId", getMaterialId())
                .append("dataName", getDataName())
                .append("dataDescribe", getDataDescribe())
                .append("dataUrl", getDataUrl())
                .append("userId", getUserId())
                .append("createTime", getCreateTime())
                .append("remak", getRemak())
                .toString();
    }
}